# Assign a Business Role to a User Assigns a business role to a user. Endpoint: POST /accountmanager.assignbusinessrole/{userId} Security: basic, X-PriceFx-jwt ## Path parameters: - `userId` (string, required) The ID of the user you want to assign a role to. The userId is the typedId without the U suffix. For example, userId of the 2147490806.U is 2147490806. ## Request fields (application/json): - `data` (object, required) - `data.assign` (boolean, required) Set to true to assign the business role to the user. Set false to remove the business role from the user. - `data.typedId` (string, required) TypedId of the business role you want to assign or revoke. Either typedId or uniqeName is required. Example: "8.R" - `data.uniqueName` (string, required) uniqueName of the role you want to assign or revoke. Either typedId or uniqeName is required. Example: "DASHBOARDADMIN" ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (any) - `response.status` (number)